define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-BF9248AF-0076-4630-AB6A-850F31DCE077",
                    "topics":[
                        {
                            "title":"Audience",
                            "href":"preface.html#GUID-C96DAD74-41AC-410C-8E30-E00AFD1354C8"
                        },
                        {
                            "title":"Documentation Accessibility",
                            "href":"preface.html#GUID-E409CC44-9A8F-4043-82C8-6B95CD939296"
                        },
                        {
                            "title":"Related Documents",
                            "href":"preface.html#GUID-8988DE91-835D-4158-9798-6C48BDA01CC8"
                        },
                        {
                            "title":"Conventions",
                            "href":"preface.html#GUID-F5076AE9-41A8-4CAA-9F37-F2E9BD38CE79"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Licensing Information",
                    "href":"licensing-information.html#GUID-2D901045-2E4F-4FE6-9C5B-DDDD2DF12B0E",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1.1 </span> Introduction",
                            "href":"licensing-information.html#GUID-40EEC471-C9DE-43F0-A3AD-179E3E7FD40A"
                        },
                        {
                            "title":"<span class=\"secnum\">1.2 </span> Third-Party Notices and/or Licenses for Oracle Application Express",
                            "href":"licensing-information.html#GUID-E1C574DE-7CE6-4B57-945D-A92EB9759BA3",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">1.2.1 </span> Commercial Software Included in Oracle Application Express",
                                    "href":"licensing-information.html#GUID-9875EB5F-5F87-44A0-B3E3-3D7C7678A89A"
                                },
                                {
                                    "title":"<span class=\"secnum\">1.2.2 </span> Open Source or Other Separately Licensed Software Included in Oracle Application Express",
                                    "href":"licensing-information.html#GUID-C969806A-E95C-4664-BB61-836670285E69"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Open Source Software License Text",
                    "href":"open-source-software-license-text.html#GUID-A7B5C606-0233-4DA5-9C69-A110632B103B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">A.1 </span> The Apache Software License, Version 2.0",
                            "href":"open-source-software-license-text.html#GUID-28B82DFE-B010-44D3-A2FE-242E369ECA91"
                        },
                        {
                            "title":"<span class=\"secnum\">A.2 </span> CodeMirror 5.48.4 License",
                            "href":"open-source-software-license-text.html#GUID-108B9DA3-68ED-447E-8B32-99456334B57F"
                        },
                        {
                            "title":"<span class=\"secnum\">A.3 </span> DOMPurify 2.0.7 License",
                            "href":"open-source-software-license-text.html#GUID-1308913F-6AFA-4F62-82B9-D57417E16891"
                        },
                        {
                            "title":"<span class=\"secnum\">A.4 </span> FullCalendar 3.10.0 and 3.10.2 License",
                            "href":"open-source-software-license-text.html#GUID-E841B324-0FAC-4D9C-93F1-2FE1376E12C3"
                        },
                        {
                            "title":"<span class=\"secnum\">A.5 </span> JavaScript Extension Toolkit (JET) 9.1.0 License",
                            "href":"open-source-software-license-text.html#GUID-B0B7C8AA-3F4A-49B7-9E04-CA1E35607B6B"
                        },
                        {
                            "title":"<span class=\"secnum\">A.6 </span> jQuery 3.5.1 License",
                            "href":"open-source-software-license-text.html#GUID-D6CAEC0A-E143-4A59-B979-CC1A724CDCCF"
                        },
                        {
                            "title":"<span class=\"secnum\">A.7 </span> jQuery Migrate 3.3.0 License",
                            "href":"open-source-software-license-text.html#GUID-E5A62D72-B917-45FA-95F1-DE96C1AA705C"
                        },
                        {
                            "title":"<span class=\"secnum\">A.8 </span> Monaco Editor 0.20.0 License",
                            "href":"open-source-software-license-text.html#GUID-83B88273-FAD8-4C0F-A3F2-D3A82750820E"
                        },
                        {
                            "title":"<span class=\"secnum\">A.9 </span> prism.js 1.21.0 License",
                            "href":"open-source-software-license-text.html#GUID-CD91205F-79FE-425A-ABFB-9B01C9C7B833"
                        }
                    ]
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});