define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"<span class=\"secnum\">1.1 </span> About These Release Notes",
                    "href":"index.html#HTMRN-GUID-540B73CB-08A7-4422-B6BF-CC785EC47694"
                },
                {
                    "title":"<span class=\"secnum\">2.1 </span> Before You Begin",
                    "href":"index.html#HTMRN-GUID-27393A86-EEBE-4923-A61C-6E4F334D566D",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2.1.1 </span> Oracle Database Requirement",
                            "href":"index.html#HTMRN-GUID-175AC460-3BCB-4871-A14C-5A232EDF8CAD"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.2 </span> About Release Numbering Conventions",
                            "href":"index.html#HTMRN-GUID-54D7AD46-0359-40D0-AAD8-E1811F56E446"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.3 </span> About Checking for the Most Current Release",
                            "href":"index.html#HTMRN-GUID-7598F76C-3C26-42B7-9F2E-342DE6877E1A"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.4 </span> About Upgrading to the Latest Oracle Application Express Release",
                            "href":"index.html#HTMRN-GUID-95A96E09-691C-4858-8B59-4042199B9E88"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.5 </span> About Determining Your Release Version",
                            "href":"index.html#HTMRN-GUID-A94C601D-23A9-4BCE-811D-80A542C76A03"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.6 </span> Important Information if Updating from a Release Prior to 20.2",
                            "href":"index.html#HTMRN-GUID-E4353E38-3250-4304-8982-F6D4A7887227"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.7 </span> Important Information if Upgrading from Oracle Database Version 12c CDB",
                            "href":"index.html#HTMRN-GUID-AF48D015-9CBE-4B0D-9153-39E671386088"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3.1 </span> New Features",
                    "href":"index.html#HTMRN-GUID-D6D545CB-3ECD-468A-9E7F-8CC09F7F478B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3.1.1 </span> Cards Region",
                            "href":"index.html#HTMRN-GUID-BC8E3C11-2D01-4147-9FE7-64A3B3D046E4"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.2 </span> Automations",
                            "href":"index.html#HTMRN-GUID-13F8ABFF-C240-49B1-B6E9-2EFA1512070D"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.3 </span> Faceted Search Enhancements",
                            "href":"index.html#HTMRN-GUID-D344A29D-401A-42A7-B925-4F2D575B5EBD"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.4 </span> Report Printing",
                            "href":"index.html#HTMRN-GUID-FA9A0717-5305-41B9-998F-1B278A537815"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.5 </span> REST Data Source Synchronization",
                            "href":"index.html#HTMRN-GUID-FF0E8042-AD6A-485B-822E-2B018CA3F2F4"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.6 </span> REST Data Source Connector Plug-Ins",
                            "href":"index.html#HTMRN-GUID-694962A3-CC6E-4EC5-B16D-20FF92C4430B"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.7 </span> New Web Credential Types",
                            "href":"index.html#HTMRN-GUID-4C17B10F-865E-42CF-8AC1-ABE3B3C654F1"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.8 </span> Redwood UI",
                            "href":"index.html#HTMRN-GUID-7BFDB1FE-D102-4881-ABCA-EA9835089134"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.9 </span> Developer Experience Enhancements",
                            "href":"index.html#HTMRN-GUID-1CFB493D-912B-4EAD-8D2A-ADDD57B2BE1F"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.10 </span> Item Enhancements",
                            "href":"index.html#HTMRN-GUID-A882E53A-B926-47E9-AEA1-0A65EB28FC91"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.11 </span> Tree Region Enhancements",
                            "href":"index.html#HTMRN-GUID-3433185C-223D-418A-B3D4-CC0DB421FCEE"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.12 </span> Interactive Grid Enhancements",
                            "href":"index.html#HTMRN-GUID-DED3953A-6B1F-42F4-ADE6-76D29F29427A"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.13 </span> New Name for Web Source Modules",
                            "href":"index.html#HTMRN-GUID-9D807CDC-118E-48E2-B973-F3A148466066"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.14 </span> JavaScript Library Upgrades",
                            "href":"index.html#HTMRN-GUID-A5C02F23-1A64-4F2C-A18B-09612D995B2A"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.15 </span> New JavaScript APIs",
                            "href":"index.html#HTMRN-GUID-9D3CA38B-3FDA-446E-9D73-15D141F09394"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.16 </span> Template Directives",
                            "href":"index.html#HTMRN-GUID-97A9B666-C4BA-4515-84B8-9C4BEEF4B126"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4.1 </span> Changed Behavior",
                    "href":"index.html#HTMRN-GUID-0F34A43F-A2B7-4D06-AA39-839396676C26",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">4.1.1 </span> Browser Requirements",
                            "href":"index.html#HTMRN-GUID-6E817104-6C58-4FA8-861D-F884AA3369B0"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.2 </span> apex_rest.getreport API Removed",
                            "href":"index.html#HTMRN-GUID-ADF646DE-CBED-48B6-B393-2BC6E0D84AF3"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.3 </span> apex_rest.getservicedescription API Removed",
                            "href":"index.html#HTMRN-GUID-6463346C-EDB1-4B3A-A541-239316CB8C6D"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.4 </span> Runtime Error in Common Schemas",
                            "href":"index.html#HTMRN-GUID-1AC54E3C-B3ED-423B-8A50-DE5C5CDFB330"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.5 </span> Render File Browse item as a Drop Zone",
                            "href":"index.html#HTMRN-GUID-CF9426FA-94D1-40A9-BB81-284DCBE37A0D"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.6 </span> Client-side symbol substitution no longer returns display value",
                            "href":"index.html#HTMRN-GUID-222C9D13-7519-4CF2-94C3-F2E4BE7AF16B"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.7 </span> Default Encoding for CSV Files in Data Loading Changed to ISO-8859-1",
                            "href":"index.html#HTMRN-GUID-84BCFBCD-2696-439C-AB5A-0B1781870B6F"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.8 </span> Create Websheet Disabled by Default",
                            "href":"index.html#HTMRN-GUID-8CBB63AC-F34F-4C0B-BBEC-59FE46B43B38"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.9 </span> Checkbox renamed to Checkbox Group",
                            "href":"index.html#HTMRN-GUID-074C3F02-3298-4C32-97FD-C4CBDF6ECA66"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.10 </span> Changes to the CSV export of a Classic Report or Interactive Report",
                            "href":"index.html#HTMRN-GUID-FA08B357-6AD0-4901-BEA1-487035C15FCE"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.11 </span> Changes to the JavaScript item interface",
                            "href":"index.html#HTMRN-GUID-F2B5CBB8-E18E-4CF9-88E7-3B035DDB3E7A"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.12 </span> Region Attributes and Printing Properties Relocated in Page Designer",
                            "href":"index.html#HTMRN-GUID-5B360C0A-C544-4E6B-BC25-D122C58F9B2F"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.13 </span> Shortcuts and Target Attributes for Side and Mega Menu Navigation",
                            "href":"index.html#HTMRN-GUID-310E825E-C85F-40E4-84D6-0974DD0274EC"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.14 </span> Database Object Dependencies Utility Removed",
                            "href":"index.html#HTMRN-GUID-0D3DAC4D-2592-4D42-8F48-78259FCECE69"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.15 </span> Compatibility Mode",
                            "href":"index.html#HTMRN-GUID-712BE54F-08CD-43A3-A645-87B9360ED516"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.16 </span> Enabling Network Services in Oracle Database 11g or Later",
                            "href":"index.html#HTMRN-GUID-8D125731-989A-4A51-AFFE-00181729F87F",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">4.1.16.1 </span> When and Why Network Services Must be Enabled",
                                    "href":"index.html#HTMRN-GUID-DEA26C53-0220-40F1-86FB-482163CA5681"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.1.16.2 </span> Granting Connect Privileges Prior to Oracle Database 12 <span class=\"italic\">c </span>",
                                    "href":"index.html#HTMRN-GUID-E50853EC-0BE9-4E04-A7D0-AF8E4106A470"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.1.16.3 </span> Granting Connect Privileges in Oracle Database 12 <span class=\"italic\">c </span> or Later",
                                    "href":"index.html#HTMRN-GUID-CA19B8DF-B210-46FC-BC3A-F0DC76AE5625"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.1.16.4 </span> Troubleshooting an Invalid ACL Error",
                                    "href":"index.html#HTMRN-GUID-C795F54B-D05F-4463-8424-052FD4C1CE52"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5.1 </span> Deprecated Features",
                    "href":"index.html#HTMRN-GUID-657FF369-756E-4F31-96F9-B2D92C3DE084",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5.1.1 </span> Deprecated Productivity and Sample Applications",
                            "href":"index.html#HTMRN-GUID-1AE1F299-98E2-4BE9-89AE-5327BADE39FB"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.2 </span> Websheets Deprecated",
                            "href":"index.html#HTMRN-GUID-7B603CE6-A21B-4472-A062-F1E95FC16312"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.3 </span> Migration Workbench Deprecated",
                            "href":"index.html#HTMRN-GUID-FE9A4566-1507-4CF1-9D7A-6D6316FF3A95"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.4 </span> WWV_FLOW_EPG_INCLUDE_LOCAL for Web Entry Points Deprecated",
                            "href":"index.html#HTMRN-GUID-C724B01E-593C-4374-AFD7-8B0F50F486C1"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.5 </span> Download Interactive Report as RTF is Deprecated",
                            "href":"index.html#HTMRN-GUID-4A296F30-8E63-4961-BFC9-57E05FE56919"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.6 </span> Productivity and Sample Apps Only Workspace Deprecated",
                            "href":"index.html#HTMRN-GUID-CA5FCEE7-1787-4689-B9ED-0AC916566DBE"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6.1 </span> Deprecated in Previous Releases",
                    "href":"index.html#HTMRN-GUID-5DB77CAF-5288-4635-8C4D-4C40274BFE5B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">6.1.1 </span> Deprecated JavaScript Functions",
                            "href":"index.html#HTMRN-GUID-31E36B88-0128-40FD-99AF-C3826546FF5D"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.2 </span> jQuery UI Deprecated",
                            "href":"index.html#HTMRN-GUID-4BCD1A37-908C-4770-8C3C-2F4F721E74A7"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.3 </span> REST Administration Interface Deprecated",
                            "href":"index.html#HTMRN-GUID-A33D25BE-406A-4111-BBD4-2E4760746092"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.4 </span> Post Calculation for Page Items Deprecated",
                            "href":"index.html#HTMRN-GUID-9EB2681D-0DD3-4CA6-AD8F-8EB276EE2581"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.5 </span> Show / Hide All Page Items On Same Line attributes deprecated",
                            "href":"index.html#HTMRN-GUID-B4A888B4-AAFB-4556-8958-9644981301FC"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.6 </span> AnyChart, AnyMap, and AnyGantt charts Deprecated",
                            "href":"index.html#HTMRN-GUID-4252CE2B-A584-494D-A47C-918E2E2DC50E"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.7 </span> apex.server Plug-in and Process Function Async Option Deprecated",
                            "href":"index.html#HTMRN-GUID-8BA18416-7E1B-4ADB-BB02-3A2ECE1CA437"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.8 </span> apex.widget.initPageItem Function Deprecated",
                            "href":"index.html#HTMRN-GUID-2782A575-CB40-45FE-9D92-F79A0E8C9DB1"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.9 </span> Popup LOV Template Deprecated",
                            "href":"index.html#HTMRN-GUID-A78EFC23-6112-4FA7-BDBC-453FE3B217AD"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.10 </span> afterModify is Deprecated",
                            "href":"index.html#HTMRN-GUID-636614BD-9AF6-4738-9D09-D2077D8541F9"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.11 </span> apex.page.confirm pMessage Parameter is Deprecated",
                            "href":"index.html#HTMRN-GUID-322E4127-E702-4B38-BD97-32882CA84A8B"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.12 </span> apex.navigation.dialog.fireCloseHandler function is Deprecated",
                            "href":"index.html#HTMRN-GUID-C2C28782-2812-43CD-B85D-533B0ED02D27"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7.1 </span> Desupported Features",
                    "href":"index.html#HTMRN-GUID-CC4B5D70-22FD-45CA-8F6F-C34A91F1B5BD",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">7.1.1 </span> Theme Style \"Vista\" Desupported in Universal Theme",
                            "href":"index.html#HTMRN-GUID-5FAFCFE9-802C-4E52-B300-19CD94016393"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.2 </span> apexrefresh Event is Desupported",
                            "href":"index.html#HTMRN-GUID-56522912-5B1C-488D-8D75-B73A8CC29F2D"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.3 </span> APEX_ERROR.GET_ARIA_ERROR_ATTRIBUTES Desupported",
                            "href":"index.html#HTMRN-GUID-B247F1D3-CCDD-4E66-92AF-5F69C2C243AB"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.4 </span> APEX_UTIL.STRING_TO_TABLE Function Desupported",
                            "href":"index.html#HTMRN-GUID-6709BB89-9E72-46DF-B6DB-B28E6F81827F"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.5 </span> APEX_UTIL.TABLE_TO_STRING Function Desupported",
                            "href":"index.html#HTMRN-GUID-ABE4A449-842F-439F-B340-DBD623E67F69"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.6 </span> APEX_PAGE.IS_JQM_SMARTPHONE_UI is Desupported",
                            "href":"index.html#HTMRN-GUID-8E908B75-F7C4-42CD-90B1-5CD0420475B6"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.7 </span> openModal and closeModal are Desupported",
                            "href":"index.html#HTMRN-GUID-216EF074-6E0C-4CCC-BC39-AFECE3674305"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.8 </span> Tabular Forms Desupported",
                            "href":"index.html#HTMRN-GUID-881C02C3-211D-4FB3-8A02-F741FA1BBA35"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.9 </span> Desupported Web Listeners",
                            "href":"index.html#HTMRN-GUID-12877F22-DA1F-45F2-91D9-103817AD659A"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.10 </span> Internet Explorer 11 Desupported",
                            "href":"index.html#HTMRN-GUID-27133487-6647-4771-8EFF-8D283BB7AB31"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.11 </span> Calendar PDF Printing Desupported",
                            "href":"index.html#HTMRN-GUID-D733B9DA-3A0E-478E-89DE-80C296C63E0D"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.12 </span> Desupported Productivity Apps",
                            "href":"index.html#HTMRN-GUID-7AC1E26E-B4B7-480C-963D-01DEE580273A"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.13 </span> Desupported JavaScript Functions",
                            "href":"index.html#HTMRN-GUID-3E12A43F-9975-41C7-9CDF-56C54BFAC4D7"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">8.1 </span> Fixed Bugs",
                    "href":"index.html#HTMRN-GUID-32C4974D-FBCE-4B23-A72D-934E4248C78C"
                },
                {
                    "title":"<span class=\"secnum\">9.1 </span> Open Bugs and Known Issues",
                    "href":"index.html#HTMRN-GUID-5E3BE2CB-71E8-4B01-AD72-9E8BB4927785",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">9.1.1 </span> Interactive Grid Cell Shows LOV Return Value Rather Than Display Value",
                            "href":"index.html#HTMRN-GUID-881DB7D8-A6A1-444A-8405-7B819B73F83D"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.2 </span> Survey Builder Incompatible with Friendly URLs",
                            "href":"index.html#HTMRN-GUID-B10286D5-0150-4A54-9D4F-C3031BFA7DEE"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.3 </span> Known Issue with Interactive Reports After Data Reporter Upgrade",
                            "href":"index.html#HTMRN-GUID-E1666A07-3157-44EE-8279-04A3627247F2"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.4 </span> Known Issue Using Component View in Firefox",
                            "href":"index.html#HTMRN-GUID-25AE7ECE-1C5F-4672-8481-4E8304ADFB94"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.5 </span> Removal of AnyChart Flash Components from Images Folder",
                            "href":"index.html#HTMRN-GUID-34980CC2-71D2-42DB-80C6-593E6814A330"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.6 </span> Known Issues for jQuery UI and jQuery Upgrade",
                            "href":"index.html#HTMRN-GUID-6265BFAE-380D-4246-BDFC-01D877D6721A"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.7 </span> Known Issues for RESTful Services and Oracle REST Data Services (ORDS)",
                            "href":"index.html#HTMRN-GUID-B9DCE54C-C0E3-44FE-A8DE-8B9BB8382450",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">9.1.7.1 </span> Issue when Workspace Name Differs From First Provisioned Schema Name",
                                    "href":"index.html#HTMRN-GUID-E11AE7D2-2944-47BB-A086-EFC7B9A02785"
                                },
                                {
                                    "title":"<span class=\"secnum\">9.1.7.2 </span> Issue when Migrating Application Express RESTful Services with a Null URI to ORDS",
                                    "href":"index.html#HTMRN-GUID-7A2B1E58-1185-4BC6-ACA7-A324170F292F"
                                },
                                {
                                    "title":"<span class=\"secnum\">9.1.7.3 </span> Issue when Using SQL Developer or SQL Scripts to Enable ORDS on an Application Express 18.1 or later Schema",
                                    "href":"index.html#HTMRN-GUID-B08BCCD3-20FD-4E9C-90B3-997A6CE5ED2A"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.8 </span> Interactive Grid support for REST Enabled SQL",
                            "href":"index.html#HTMRN-GUID-D70DD30C-E641-4416-8534-06E577866C31"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.9 </span> Legacy Team Development Workspace Attribute Issue",
                            "href":"index.html#HTMRN-GUID-0A85A5D4-C500-4EC5-9E35-457AC1B8FAB4"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.10 </span> Group By Component Type mode prevents Default View",
                            "href":"index.html#HTMRN-GUID-44A090F9-8C61-4564-B86F-450FA3158343"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.11 </span> Language Support for Native PDF Printing in Interactive Grid",
                            "href":"index.html#HTMRN-GUID-01CA45E0-FD70-4FC0-A0F6-42A6D80571DA"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">10.1 </span> Documentation Accessibility",
                    "href":"index.html#HTMRN-GUID-E409CC44-9A8F-4043-82C8-6B95CD939296"
                },
                {
                    "title":"<span class=\"secnum\">11.1 </span> Privacy Notice",
                    "href":"index.html#HTMRN-GUID-604D24CA-34BE-4DD6-9278-B6BD9E9C0DAA"
                }
            ]
        }
    ]
});